/* bits/signal.h: Signal-related definitions. */

#ifndef _BITS_SIGNAL_H
#define _BITS_SIGNAL_H

typedef void (*__simple_sighandler_t)(int);

#define SIG_IGN (__simple_sighandler_t)(-1)
#define SIG_DFL (__simple_sighandler_t)(-2)

typedef int sigset_t;

struct sigaction
{
    __simple_sighandler_t sa_handler;
    sigset_t sa_mask;
    int sa_flags;
    void* __sa_sigreturn = nullptr;
};

enum __signals
{
    SIGABRT = 1,
    __NSIG,
};

#define NSIG (__NSIG - 1)

#endif
